<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="8">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['fullName'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fullName'].errors !== null"
        [mbErrors]="form.controls['fullName'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '200' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.relativeInformation.label.fullName'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.fullName'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.fullName' | translate
        }} <span class='label__required'>*</span>"
        formControlName="fullName"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.MOI_QUAN_HE_NT]"
        [mbType]="
          isSubmitted && form.controls['relationship'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['relationship'].errors !== null
        "
        [mbErrors]="form.controls['relationship'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.relationship'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.relationship'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.relationship' | translate
        }}"
        formControlName="relationship"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.MOI_QUAN_HE_NT]"
        [mbType]="
          isSubmitted && form.controls['householdRelationship'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['householdRelationship'].errors !== null
        "
        [mbErrors]="form.controls['householdRelationship'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.householdRelationship'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.householdRelationship'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.householdRelationship'
            | translate
        }} <span class='label__required'>*</span>"
        formControlName="householdRelationship"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['dob'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['dob'].errors !== null"
        [mbErrors]="form.controls['dob'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.relativeInformation.label.dob'
          }
        ]"
        formControlName="dob"
        mbLabelText="{{
          'insurance.relativeInformation.label.dob' | translate
        }} <span class='label__required'>*</span>"
      ></mb-date-picker>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.GIOI_TINH]"
        [mbType]="
          isSubmitted && form.controls['gender'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['gender'].errors !== null"
        [mbErrors]="form.controls['gender'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.relativeInformation.label.gender'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.gender'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.gender' | translate
        }} <span class='label__required'>*</span>"
        formControlName="gender"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.DAN_TOC]"
        [mbType]="
          isSubmitted && form.controls['ethnic'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['ethnic'].errors !== null"
        [mbErrors]="form.controls['ethnic'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.relativeInformation.label.ethnic'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.ethnic'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.ethnic' | translate
        }} <span class='label__required'>*</span>"
        formControlName="ethnic"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['identityNo'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['identityNo'].errors !== null
        "
        [mbErrors]="form.controls['identityNo'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.identityNo'
                : false
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.identityNo'
              : false
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.identityNo' | translate
        }}"
        formControlName="identityNo"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['taxCode'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['taxCode'].errors !== null"
        [mbErrors]="form.controls['taxCode'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.relativeInformation.label.taxCode'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.taxCode'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.taxCode' | translate
        }}"
        formControlName="taxCode"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.QUOC_GIA]"
        [mbType]="
          isSubmitted && form.controls['nationality'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['nationality'].errors !== null
        "
        [mbErrors]="form.controls['nationality'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.nationality'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.relativeInformation.label.nationality'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.nationality' | translate
        }} <span class='label__required'>*</span>"
        formControlName="nationality"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['permanentAddress'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['permanentAddress'].errors !== null
        "
        [mbErrors]="form.controls['permanentAddress'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '200' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.permanentAddress'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.permanentAddress'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.permanentAddress' | translate
        }} <span class='label__required'>*</span>"
        formControlName="permanentAddress"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        (ngModelChange)="onChangeProvince($event)"
        [mbDataSelects]="catalogs[CATALOGS.TINH]"
        [mbType]="
          isSubmitted && form.controls['permanentProvinceCode'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['permanentProvinceCode'].errors !== null
        "
        [mbErrors]="form.controls['permanentProvinceCode'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.permanentProvinceCode'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.permanentProvinceCode'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.permanentProvinceCode'
            | translate
        }} <span class='label__required'>*</span>"
        formControlName="permanentProvinceCode"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
      (ngModelChange)="onChangeDistrict($event)"
        [mbDataSelects]="catalogs[CATALOGS.HUYEN]"
        [mbType]="
          isSubmitted && form.controls['permanentDistrictCode'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['permanentDistrictCode'].errors !== null
        "
        [mbErrors]="form.controls['permanentDistrictCode'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.permanentDistrictCode'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.permanentDistrictCode'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.permanentDistrictCode'
            | translate
        }} <span class='label__required'>*</span>"
        formControlName="permanentDistrictCode"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="8">
      <mb-select
        [mbDataSelects]="catalogs[CATALOGS.XA]"
        [mbType]="
          isSubmitted && form.controls['permanentWardCode'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['permanentWardCode'].errors !== null
        "
        [mbErrors]="form.controls['permanentWardCode'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.relativeInformation.label.permanentWardCode'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.input'
            | translateLabel
              : 'insurance.relativeInformation.label.permanentWardCode'
        }}"
        mbLabelText="{{
          'insurance.relativeInformation.label.permanentWardCode' | translate
        }} <span class='label__required'>*</span>"
        formControlName="permanentWardCode"
      ></mb-select>
    </div>
  </div>
</form>
